Skip to main content
Resource Center/Hardware/SAN Storage Operations/FC Storage Operations
GETFC Storage OperationsSince 3.1.0SynchronousAuth Required

GetScsiLunCandidatesForAttachingVm

GetScsiLunCandidatesForAttachingVm

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The VM instance UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • nameStringRequired

      The resource UUID.

    • uuidStringRequired

      The resource UUID.

    • wwidStringRequired

      The disk WWID.

    • vendorStringRequired

      The disk vendor.

    • modelStringRequired

      The disk model.

    • wwnStringRequired

      The disk WWN.

    • serialStringRequired

      The disk serial No.

    • typeStringRequired

      The disk type.

    • pathStringRequired

      The disk path.

    • stateStringRequired

      The disk state.

    • sizeLongRequired

      The disk size.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • scsiLunHostRefsListRequired

      See scsiLunHostRefs.

      • scsiLunUuidStringRequired

        The SCSI LUN UUID.

      • hostUuidStringRequired

        The host UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • scsiLunVmInstanceRefsListRequired

      See scsiLunVmInstanceRefs.

      • scsiLunUuidStringRequired

        The SCSI LUN UUID.

      • vmInstanceUuidStringRequired

        The VM instance UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/candidate-storage-devices

/zstack/v1/vm-instances/{vmInstanceUuid}/candidate-storage-devices

Operation ID

GetScsiLunCandidatesForAttachingVm

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/candidate-storage-devices?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "fc-lun-36b083fe000daf018000022905ba35d8f", "uuid": "d4714249ba273a5c9d1c1cb3a1a16f24", "wwid": "36b083fe000daf018000022905ba35d8f", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6f01faf000d5c3e7", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-11", "size": 5.49755813888E12, "scsiLunHostRefs": [ { "id": 1.0, "scsiLunUuid": "d4714249ba273a5c9d1c1cb3a1a16f24", "hostUuid": "c922c37f885e35aeb1ae87db3446fc7e", "createDate": "Nov 14, 2017 10:20:57 PM" } ], "scsiLunVmInstanceRefs": [], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history